/// @cond EO_CXX_EO_IMPL

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline Elm_Atspi_Event_Handler * elm_interface_atspi_accessible::event_handler_add(Eo_Event_Cb cb_, void * data_)
{
   Elm_Atspi_Event_Handler * _tmp_ret;
   eo_do(_eo_class(), _tmp_ret = ::elm_interface_atspi_accessible_event_handler_add(cb_, data_));
   return _tmp_ret;
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline void elm_interface_atspi_accessible::event_handler_del(Elm_Atspi_Event_Handler * handler_)
{
   eo_do(_eo_class(), ::elm_interface_atspi_accessible_event_handler_del(handler_));
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline void elm_interface_atspi_accessible::event_emit(::elm_interface_atspi_accessible accessible_, const Eo_Event_Description * event_, void * event_info_)
{
   eo_do(_eo_class(), ::elm_interface_atspi_accessible_event_emit(::efl::eolian::to_c(accessible_), event_, event_info_));
}
#endif

inline bool elm_interface_atspi_accessible::relationship_append(Elm_Atspi_Relation_Type type_, ::elm_interface_atspi_accessible relation_object_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_relationship_append(type_, ::efl::eolian::to_c(relation_object_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm_interface_atspi_accessible::relationship_remove(Elm_Atspi_Relation_Type type_, ::elm_interface_atspi_accessible relation_object_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_relationship_remove(type_, ::efl::eolian::to_c(relation_object_)));
}

inline void elm_interface_atspi_accessible::relationships_clear() const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_relationships_clear());
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline ::efl::eina::string_view elm_interface_atspi_accessible::localized_role_name_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_localized_role_name_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

inline char * elm_interface_atspi_accessible::name_get() const
{
   char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_name_get());
   return _tmp_ret;
}

inline void elm_interface_atspi_accessible::name_set(char * name_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_name_set(name_));
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline Elm_Atspi_Relation_Set elm_interface_atspi_accessible::relation_set_get() const
{
   Elm_Atspi_Relation_Set _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_relation_set_get());
   return _tmp_ret;
}
#endif

inline Elm_Atspi_Role elm_interface_atspi_accessible::role_get() const
{
   Elm_Atspi_Role _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_role_get());
   return _tmp_ret;
}

inline void elm_interface_atspi_accessible::role_set(Elm_Atspi_Role role_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_role_set(role_));
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline ::efl::eina::list< ::elm_interface_atspi_accessible > elm_interface_atspi_accessible::children_get() const
{
   Eina_List * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_children_get());
   return ::efl::eolian::to_cxx<::efl::eina::list< ::elm_interface_atspi_accessible >>(_tmp_ret, std::tuple<std::true_type, std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline ::efl::eina::string_view elm_interface_atspi_accessible::role_name_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_role_name_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline ::efl::eina::list< Elm_Atspi_Attribute * > elm_interface_atspi_accessible::attributes_get() const
{
   Eina_List * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_attributes_get());
   return ::efl::eolian::to_cxx<::efl::eina::list< Elm_Atspi_Attribute * >>(_tmp_ret, std::tuple<std::true_type, std::true_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline int elm_interface_atspi_accessible::index_in_parent_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_index_in_parent_get());
   return _tmp_ret;
}
#endif

inline ::efl::eina::string_view elm_interface_atspi_accessible::description_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_description_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm_interface_atspi_accessible::description_set(::efl::eina::string_view description_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_description_set(::efl::eolian::to_c(description_)));
}

inline ::elm_interface_atspi_accessible elm_interface_atspi_accessible::parent_get() const
{
   Elm_Interface_Atspi_Accessible * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_parent_get());
   return ::efl::eolian::to_cxx<::elm_interface_atspi_accessible>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm_interface_atspi_accessible::parent_set(::elm_interface_atspi_accessible parent_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_parent_set(::efl::eolian::to_c(parent_)));
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline Elm_Atspi_State_Set elm_interface_atspi_accessible::state_set_get() const
{
   Elm_Atspi_State_Set _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_state_set_get());
   return _tmp_ret;
}
#endif

inline ::efl::eina::string_view elm_interface_atspi_accessible::translation_domain_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_translation_domain_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline void elm_interface_atspi_accessible::translation_domain_set(::efl::eina::string_view domain_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_translation_domain_set(::efl::eolian::to_c(domain_)));
}

inline Elm_Atspi_Type elm_interface_atspi_accessible::type_get() const
{
   Elm_Atspi_Type _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_type_get());
   return _tmp_ret;
}

inline void elm_interface_atspi_accessible::type_set(Elm_Atspi_Type type_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_type_set(type_));
}

inline ::efl::eo::concrete elm_interface_atspi_accessible::root_get() const
{
   Eo * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_root_get());
   return ::efl::eolian::to_cxx<::efl::eo::concrete>(_tmp_ret, std::tuple<std::false_type>());
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline Elm_Atspi_Event_Handler * eo_cxx::elm_interface_atspi_accessible::event_handler_add(Eo_Event_Cb cb_, void * data_)
{
   Elm_Atspi_Event_Handler * _tmp_ret;
   eo_do(_eo_class(), _tmp_ret = ::elm_interface_atspi_accessible_event_handler_add(cb_, data_));
   return _tmp_ret;
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline void eo_cxx::elm_interface_atspi_accessible::event_handler_del(Elm_Atspi_Event_Handler * handler_)
{
   eo_do(_eo_class(), ::elm_interface_atspi_accessible_event_handler_del(handler_));
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline void eo_cxx::elm_interface_atspi_accessible::event_emit(::elm_interface_atspi_accessible accessible_, const Eo_Event_Description * event_, void * event_info_)
{
   eo_do(_eo_class(), ::elm_interface_atspi_accessible_event_emit(::efl::eolian::to_c(accessible_), event_, event_info_));
}
#endif

inline bool eo_cxx::elm_interface_atspi_accessible::relationship_append(Elm_Atspi_Relation_Type type_, ::elm_interface_atspi_accessible relation_object_) const
{
   Eina_Bool _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_relationship_append(type_, ::efl::eolian::to_c(relation_object_)));
   return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm_interface_atspi_accessible::relationship_remove(Elm_Atspi_Relation_Type type_, ::elm_interface_atspi_accessible relation_object_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_relationship_remove(type_, ::efl::eolian::to_c(relation_object_)));
}

inline void eo_cxx::elm_interface_atspi_accessible::relationships_clear() const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_relationships_clear());
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline ::efl::eina::string_view eo_cxx::elm_interface_atspi_accessible::localized_role_name_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_localized_role_name_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

inline char * eo_cxx::elm_interface_atspi_accessible::name_get() const
{
   char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_name_get());
   return _tmp_ret;
}

inline void eo_cxx::elm_interface_atspi_accessible::name_set(char * name_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_name_set(name_));
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline Elm_Atspi_Relation_Set eo_cxx::elm_interface_atspi_accessible::relation_set_get() const
{
   Elm_Atspi_Relation_Set _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_relation_set_get());
   return _tmp_ret;
}
#endif

inline Elm_Atspi_Role eo_cxx::elm_interface_atspi_accessible::role_get() const
{
   Elm_Atspi_Role _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_role_get());
   return _tmp_ret;
}

inline void eo_cxx::elm_interface_atspi_accessible::role_set(Elm_Atspi_Role role_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_role_set(role_));
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline ::efl::eina::list< ::elm_interface_atspi_accessible > eo_cxx::elm_interface_atspi_accessible::children_get() const
{
   Eina_List * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_children_get());
   return ::efl::eolian::to_cxx<::efl::eina::list< ::elm_interface_atspi_accessible >>(_tmp_ret, std::tuple<std::true_type, std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline ::efl::eina::string_view eo_cxx::elm_interface_atspi_accessible::role_name_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_role_name_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline ::efl::eina::list< Elm_Atspi_Attribute * > eo_cxx::elm_interface_atspi_accessible::attributes_get() const
{
   Eina_List * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_attributes_get());
   return ::efl::eolian::to_cxx<::efl::eina::list< Elm_Atspi_Attribute * >>(_tmp_ret, std::tuple<std::true_type, std::true_type>());
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline int eo_cxx::elm_interface_atspi_accessible::index_in_parent_get() const
{
   int _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_index_in_parent_get());
   return _tmp_ret;
}
#endif

inline ::efl::eina::string_view eo_cxx::elm_interface_atspi_accessible::description_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_description_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm_interface_atspi_accessible::description_set(::efl::eina::string_view description_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_description_set(::efl::eolian::to_c(description_)));
}

inline ::elm_interface_atspi_accessible eo_cxx::elm_interface_atspi_accessible::parent_get() const
{
   Elm_Interface_Atspi_Accessible * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_parent_get());
   return ::efl::eolian::to_cxx<::elm_interface_atspi_accessible>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm_interface_atspi_accessible::parent_set(::elm_interface_atspi_accessible parent_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_parent_set(::efl::eolian::to_c(parent_)));
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
inline Elm_Atspi_State_Set eo_cxx::elm_interface_atspi_accessible::state_set_get() const
{
   Elm_Atspi_State_Set _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_state_set_get());
   return _tmp_ret;
}
#endif

inline ::efl::eina::string_view eo_cxx::elm_interface_atspi_accessible::translation_domain_get() const
{
   const char * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_translation_domain_get());
   return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
}

inline void eo_cxx::elm_interface_atspi_accessible::translation_domain_set(::efl::eina::string_view domain_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_translation_domain_set(::efl::eolian::to_c(domain_)));
}

inline Elm_Atspi_Type eo_cxx::elm_interface_atspi_accessible::type_get() const
{
   Elm_Atspi_Type _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_type_get());
   return _tmp_ret;
}

inline void eo_cxx::elm_interface_atspi_accessible::type_set(Elm_Atspi_Type type_) const
{
   eo_do(_concrete_eo_ptr(), ::elm_interface_atspi_accessible_type_set(type_));
}

inline ::efl::eo::concrete eo_cxx::elm_interface_atspi_accessible::root_get() const
{
   Eo * _tmp_ret;
   eo_do(_concrete_eo_ptr(), _tmp_ret = ::elm_interface_atspi_accessible_root_get());
   return ::efl::eolian::to_cxx<::efl::eo::concrete>(_tmp_ret, std::tuple<std::false_type>());
}

inline ::eo_cxx::elm_interface_atspi_accessible::operator ::elm_interface_atspi_accessible() const
{
   return *static_cast<::elm_interface_atspi_accessible const*>(static_cast<void const*>(this));
}

inline ::eo_cxx::elm_interface_atspi_accessible::operator ::elm_interface_atspi_accessible&()
{
   return *static_cast<::elm_interface_atspi_accessible*>(static_cast<void*>(this));
}

inline ::eo_cxx::elm_interface_atspi_accessible::operator ::elm_interface_atspi_accessible const&() const
{
   return *static_cast<::elm_interface_atspi_accessible const*>(static_cast<void const*>(this));
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
template <typename T>
Elm_Atspi_Event_Handler * _elm_interface_atspi_accessible_event_handler_add_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Eo_Event_Cb cb_, void * data_)
{
   try
      {
         return static_cast<T*>(self->this_)->event_handler_add(cb_, data_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_Atspi_Event_Handler * _tmp_ret{};
         return _tmp_ret;
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
template <typename T>
void _elm_interface_atspi_accessible_event_handler_del_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Elm_Atspi_Event_Handler * handler_)
{
   try
      {
         static_cast<T*>(self->this_)->event_handler_del(handler_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
template <typename T>
void _elm_interface_atspi_accessible_event_emit_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Elm_Interface_Atspi_Accessible * accessible_, const Eo_Event_Description * event_, void * event_info_)
{
   try
      {
         static_cast<T*>(self->this_)->event_emit(::efl::eolian::to_cxx<::elm_interface_atspi_accessible>(accessible_, std::tuple<std::false_type>()), event_, event_info_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}
#endif

template <typename T>
bool _elm_interface_atspi_accessible_relationship_append_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Elm_Atspi_Relation_Type type_, const Elm_Interface_Atspi_Accessible * relation_object_)
{
   try
      {
         return static_cast<T*>(self->this_)->relationship_append(type_, ::efl::eolian::to_cxx<::elm_interface_atspi_accessible>(relation_object_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_Bool _tmp_ret{};
         return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void _elm_interface_atspi_accessible_relationship_remove_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Elm_Atspi_Relation_Type type_, const Elm_Interface_Atspi_Accessible * relation_object_)
{
   try
      {
         static_cast<T*>(self->this_)->relationship_remove(type_, ::efl::eolian::to_cxx<::elm_interface_atspi_accessible>(relation_object_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
void _elm_interface_atspi_accessible_relationships_clear_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         static_cast<T*>(self->this_)->relationships_clear();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
template <typename T>
::efl::eina::string_view _elm_interface_atspi_accessible_localized_role_name_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->localized_role_name_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
}
#endif

template <typename T>
char * _elm_interface_atspi_accessible_name_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->name_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         char * _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void _elm_interface_atspi_accessible_name_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, char * name_)
{
   try
      {
         static_cast<T*>(self->this_)->name_set(name_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
template <typename T>
Elm_Atspi_Relation_Set _elm_interface_atspi_accessible_relation_set_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->relation_set_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_Atspi_Relation_Set _tmp_ret{};
         return _tmp_ret;
      }
}
#endif

template <typename T>
Elm_Atspi_Role _elm_interface_atspi_accessible_role_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->role_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_Atspi_Role _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void _elm_interface_atspi_accessible_role_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Elm_Atspi_Role role_)
{
   try
      {
         static_cast<T*>(self->this_)->role_set(role_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
template <typename T>
::efl::eina::list< ::elm_interface_atspi_accessible > _elm_interface_atspi_accessible_children_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->children_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_List * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::list< ::elm_interface_atspi_accessible >>(_tmp_ret, std::tuple<std::true_type, std::false_type>());
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
template <typename T>
::efl::eina::string_view _elm_interface_atspi_accessible_role_name_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->role_name_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
template <typename T>
::efl::eina::list< Elm_Atspi_Attribute * > _elm_interface_atspi_accessible_attributes_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->attributes_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eina_List * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::list< Elm_Atspi_Attribute * >>(_tmp_ret, std::tuple<std::true_type, std::true_type>());
      }
}
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
template <typename T>
int _elm_interface_atspi_accessible_index_in_parent_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->index_in_parent_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         int _tmp_ret{};
         return _tmp_ret;
      }
}
#endif

template <typename T>
::efl::eina::string_view _elm_interface_atspi_accessible_description_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->description_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void _elm_interface_atspi_accessible_description_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * description_)
{
   try
      {
         static_cast<T*>(self->this_)->description_set(::efl::eolian::to_cxx<::efl::eina::string_view>(description_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
::elm_interface_atspi_accessible _elm_interface_atspi_accessible_parent_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->parent_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_Interface_Atspi_Accessible * _tmp_ret{};
         return ::efl::eolian::to_cxx<::elm_interface_atspi_accessible>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void _elm_interface_atspi_accessible_parent_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Elm_Interface_Atspi_Accessible * parent_)
{
   try
      {
         static_cast<T*>(self->this_)->parent_set(::efl::eolian::to_cxx<::elm_interface_atspi_accessible>(parent_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
template <typename T>
Elm_Atspi_State_Set _elm_interface_atspi_accessible_state_set_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->state_set_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_Atspi_State_Set _tmp_ret{};
         return _tmp_ret;
      }
}
#endif

template <typename T>
::efl::eina::string_view _elm_interface_atspi_accessible_translation_domain_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->translation_domain_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         const char * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
}

template <typename T>
void _elm_interface_atspi_accessible_translation_domain_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, const char * domain_)
{
   try
      {
         static_cast<T*>(self->this_)->translation_domain_set(::efl::eolian::to_cxx<::efl::eina::string_view>(domain_, std::tuple<std::false_type>()));
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
Elm_Atspi_Type _elm_interface_atspi_accessible_type_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->type_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Elm_Atspi_Type _tmp_ret{};
         return _tmp_ret;
      }
}

template <typename T>
void _elm_interface_atspi_accessible_type_set_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self, Elm_Atspi_Type type_)
{
   try
      {
         static_cast<T*>(self->this_)->type_set(type_);
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
      }
}

template <typename T>
::efl::eo::concrete _elm_interface_atspi_accessible_root_get_wrapper(Eo* objid EINA_UNUSED, ::efl::eo::detail::Inherit_Private_Data* self)
{
   try
      {
         return static_cast<T*>(self->this_)->root_get();
      }
   catch (...)
      {
         eina_error_set( ::efl::eina::unknown_error() );
         Eo * _tmp_ret{};
         return ::efl::eolian::to_cxx<::efl::eo::concrete>(_tmp_ret, std::tuple<std::false_type>());
      }
}

namespace efl { namespace eo { namespace detail {

template<>
struct operations< ::elm_interface_atspi_accessible >
{
   template <typename T>
   struct type
   {
#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
      virtual Elm_Atspi_Event_Handler * event_handler_add(Eo_Event_Cb cb_, void * data_)
      {
         Elm_Atspi_Event_Handler * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_event_handler_add(cb_, data_));
            return _tmp_ret;
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
      virtual void event_handler_del(Elm_Atspi_Event_Handler * handler_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_accessible_event_handler_del(handler_));
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
      virtual void event_emit(::elm_interface_atspi_accessible accessible_, const Eo_Event_Description * event_, void * event_info_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_accessible_event_emit(::efl::eolian::to_c(accessible_), event_, event_info_));
      }
#endif

      virtual bool relationship_append(Elm_Atspi_Relation_Type type_, ::elm_interface_atspi_accessible relation_object_)
      {
         Eina_Bool _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_relationship_append(type_, ::efl::eolian::to_c(relation_object_)));
            return ::efl::eolian::to_cxx<bool>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void relationship_remove(Elm_Atspi_Relation_Type type_, ::elm_interface_atspi_accessible relation_object_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_accessible_relationship_remove(type_, ::efl::eolian::to_c(relation_object_)));
      }

      virtual void relationships_clear()
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_accessible_relationships_clear());
      }

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
      virtual ::efl::eina::string_view localized_role_name_get()
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_localized_role_name_get());
            return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
#endif

      virtual char * name_get()
      {
         char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_name_get());
            return _tmp_ret;
      }

      virtual void name_set(char * name_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_accessible_name_set(name_));
      }

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
      virtual Elm_Atspi_Relation_Set relation_set_get()
      {
         Elm_Atspi_Relation_Set _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_relation_set_get());
            return _tmp_ret;
      }
#endif

      virtual Elm_Atspi_Role role_get()
      {
         Elm_Atspi_Role _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_role_get());
            return _tmp_ret;
      }

      virtual void role_set(Elm_Atspi_Role role_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_accessible_role_set(role_));
      }

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
      virtual ::efl::eina::list< ::elm_interface_atspi_accessible > children_get()
      {
         Eina_List * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_children_get());
            return ::efl::eolian::to_cxx<::efl::eina::list< ::elm_interface_atspi_accessible >>(_tmp_ret, std::tuple<std::true_type, std::false_type>());
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
      virtual ::efl::eina::string_view role_name_get()
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_role_name_get());
            return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
      virtual ::efl::eina::list< Elm_Atspi_Attribute * > attributes_get()
      {
         Eina_List * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_attributes_get());
            return ::efl::eolian::to_cxx<::efl::eina::list< Elm_Atspi_Attribute * >>(_tmp_ret, std::tuple<std::true_type, std::true_type>());
      }
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
      virtual int index_in_parent_get()
      {
         int _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_index_in_parent_get());
            return _tmp_ret;
      }
#endif

      virtual ::efl::eina::string_view description_get()
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_description_get());
            return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void description_set(::efl::eina::string_view description_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_accessible_description_set(::efl::eolian::to_c(description_)));
      }

      virtual ::elm_interface_atspi_accessible parent_get()
      {
         Elm_Interface_Atspi_Accessible * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_parent_get());
            return ::efl::eolian::to_cxx<::elm_interface_atspi_accessible>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void parent_set(::elm_interface_atspi_accessible parent_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_accessible_parent_set(::efl::eolian::to_c(parent_)));
      }

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
      virtual Elm_Atspi_State_Set state_set_get()
      {
         Elm_Atspi_State_Set _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_state_set_get());
            return _tmp_ret;
      }
#endif

      virtual ::efl::eina::string_view translation_domain_get()
      {
         const char * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_translation_domain_get());
            return ::efl::eolian::to_cxx<::efl::eina::string_view>(_tmp_ret, std::tuple<std::false_type>());
      }

      virtual void translation_domain_set(::efl::eina::string_view domain_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_accessible_translation_domain_set(::efl::eolian::to_c(domain_)));
      }

      virtual Elm_Atspi_Type type_get()
      {
         Elm_Atspi_Type _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_type_get());
            return _tmp_ret;
      }

      virtual void type_set(Elm_Atspi_Type type_)
      {

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               ::elm_interface_atspi_accessible_type_set(type_));
      }

      virtual ::efl::eo::concrete root_get()
      {
         Eo * _tmp_ret = {};

         eo_do_super(dynamic_cast<T*>(this)->_eo_ptr(),
               dynamic_cast<T*>(this)->_eo_class(),
               _tmp_ret = ::elm_interface_atspi_accessible_root_get());
            return ::efl::eolian::to_cxx<::efl::eo::concrete>(_tmp_ret, std::tuple<std::false_type>());
      }

   };
};


template<>
struct operation_description_class_size< ::elm_interface_atspi_accessible >
{
   static constexpr int value = 
#if defined(ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED) && defined(ELM_INTERFACE_ATSPI_ACCESSIBLE_BETA)
      26
#elif defined(ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED)
      26
#elif defined(ELM_INTERFACE_ATSPI_ACCESSIBLE_BETA)
      16
#else
      16
#endif
;
};

template <typename T>
int initialize_operation_description(::efl::eo::detail::tag<::elm_interface_atspi_accessible>
                                 , Eo_Op_Description* ops)
{
   int i = 0;
   (void)i;
   (void)ops;
#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_event_handler_add_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_event_handler_add);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_event_handler_del_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_event_handler_del);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_event_emit_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_event_emit);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_relationship_append_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_relationship_append);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_relationship_remove_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_relationship_remove);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_relationships_clear_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_relationships_clear);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_localized_role_name_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_localized_role_name_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_name_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_name_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_name_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_name_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_relation_set_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_relation_set_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_role_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_role_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_role_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_role_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_children_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_children_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_role_name_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_role_name_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_attributes_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_attributes_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_index_in_parent_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_index_in_parent_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_description_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_description_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_description_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_description_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_parent_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_parent_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_parent_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_parent_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

#ifdef ELM_INTERFACE_ATSPI_ACCESSIBLE_PROTECTED
   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_state_set_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_state_set_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;
#endif

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_translation_domain_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_translation_domain_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_translation_domain_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_translation_domain_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_type_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_type_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_type_set_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_type_set);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   ops[i].func = reinterpret_cast<void*>(& ::_elm_interface_atspi_accessible_root_get_wrapper<T>);
   ops[i].api_func = reinterpret_cast<void*>(& ::elm_interface_atspi_accessible_root_get);
   ops[i].op_type = EO_OP_TYPE_REGULAR;
   ++i;

   return 0;
}
inline Eo_Class const* get_eo_class(tag<::elm_interface_atspi_accessible>)
{
   return (ELM_INTERFACE_ATSPI_ACCESSIBLE_MIXIN);
}

} } }

/// @endcond

